{{/* 
    Generate plantUML diagram from ontoUML Data

    Context: dict (
        "ontoUmlData"   - map from ontoUML export data
        "diagramName"       - name of the diagram to generate
        "Site" .Site
    )

    

*/}}

<div class="markdown">
    <p>
        <strong>Projectname data</strong>: {{ .ontoUmlData.name }}
    </p>
    <p>
        <strong>diagram(name)</strong>: {{ .diagramName }} {{ .Site.Params.MainSection }}
    </p>

{{ $diagram := partial "onto-uml/data/find-diagram" (dict
    "diagrams" (partial "onto-uml/data/diagrams" .ontoUmlData)
    "name" .diagramName
) }}
{{ $modelPackages := partial "onto-uml/data/model-packages" .ontoUmlData }}
{{ $modelElements := partial "onto-uml/data/model-elements" $modelPackages }}

{{ $pumlDiagram := partial "onto-uml/puml/puml-header" }}
{{ $pumlDiagram = print $pumlDiagram (partial "onto-uml/puml/puml-classes" (dict
    "diagram" $diagram
    "modelElements" $modelElements
)) }}
{{ $pumlDiagram = print $pumlDiagram (partial "onto-uml/puml/puml-generalizations" (dict
    "diagram" $diagram
    "modelElements" $modelElements
)) }}
{{ $pumlDiagram = print $pumlDiagram (partial "onto-uml/puml/puml-relations" (dict 
    "diagram" $diagram
    "modelElements" $modelElements
))}}
{{ $pumlDiagram = print $pumlDiagram (partial "onto-uml/puml/puml-footer") }}

{{ partial "istd/istd-inline-details" (dict
    "summary" "**Gegenereerde PlantUML-diagram definitie**"
    "inline" $pumlDiagram
) }}

</div>

{{ partial "kroki/kroki-diagram" (dict
    "name" .diagramName
    "diagramType" "plantuml"
    "diagramSource" $pumlDiagram
    "baseURL" .Site.BaseURL
    "bookSection" .Site.Params.MainSection
) }}

